Page Summary
-
The endpoint allows retrieving a single targeting option assigned to an advertiser.
-
The request requires path parameters for the advertiser ID, targeting type, and the assigned targeting option ID.
-
The request body should be empty.
-
A successful response will contain an instance of the
AssignedTargetingOptionresource. -
The request requires authorization with the
https://www.googleapis.com/auth/display-videoOAuth scope.
Gets a single targeting option assigned to an advertiser.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types: |
assignedTargetingOptionId |
Required. An identifier unique to the targeting type in this advertiser that identifies the assigned targeting option being requested. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of AssignedTargetingOption.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.